[plt-scheme] newby question re upgrading Dr Scheme

From: Tim Hanson (tbhanson at gmx.de)
Date: Sun Sep 5 08:18:58 EDT 2004


on my G4 Mac OS X (10.2.8) system I have a working Dr Scheme 205  

last year i used CVS to install and build a version (205.5?). I seem to  
remember it working at the time, but I probably have forgotten how I  
started it.

just now I downloaded and installed 208. when i try to start it i get:

	standard-module-name-resolver: collection not found: "drscheme" in any  
of: ("/Users/tbh/Library/PLT Scheme/208/collects")

I'm not sure where this path is coming from. (I put 208 in a different  
place. Speaking of which, am I free to pick up the directory and move  
it to another location?)

I snooped for possible environment variables, but didn't find anything.

Do I need to uninstall previous versions? Looks like I once "knew"  
enough to be dangerous to my (then future) self. :)

Snooped around for an FAQ on this sort of thing, but haven't found  
anything yet. Is there an FAQ or how-to that includes uninstalling,  
re-installing, running parallel versions, etc. ?  (I had hoped to find  
something in an appendix to HtdPs
but that appears empty?)

Help/pointers would be appreciated.


Tim Hanson

Posted on the users mailing list.